Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api
[Java] Interface Plugin

    public interface Plugin

A `Plugin` represents an extension to Gradle. A plugin applies some configuration to a target object. Usually, this target object is a Project, but plugins can be applied to any type of objects.

Parameters:
  `` - The type of object which this plugin can configure.

Authors:
  Hans Dockter

Method Summary
`void` | `apply(Object target)` Apply this plugin to the given target object.

Method Detail

### apply

    public void apply(Object target)

  Apply this plugin to the given target object.
  Parameters:
    `target` - The target object

Gradle API 1.1-rc-1